package com.yiboshi.science.service;
import com.yiboshi.science.base.BaseService;
import com.yiboshi.science.entity.ComDownload;
import com.yiboshi.science.param.dto.ComDownloadDTO;
import com.yiboshi.science.param.query.ComDownloadQueryVO;
import org.springframework.web.multipart.MultipartFile;

/**
 * 附件表 Service
 * 
 * @author lkl
 * @version 2021-08-25
 */
public interface ComDownloadService extends BaseService<ComDownloadQueryVO, ComDownloadDTO,ComDownload> {
    /**
     * 文件上传
     *
     * @param
     */
    ComDownload asyncUpload(MultipartFile file);
    /**
     * 删除文件
     *
     * @param
     */
    String delete(String id);
    /**
     * 获取文件上传文件大小
     *
     * @param
     */
    String getDirectorySize();

    ComDownloadDTO convertEntity2DTO(ComDownload entity);
}